/*
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.compdef.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.papyrus.robotics.xtext.compdef.parser.antlr.internal.InternalCompDefParser;
import org.eclipse.papyrus.robotics.xtext.compdef.services.CompDefGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class CompDefParser extends AbstractAntlrParser {

	@Inject
	private CompDefGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalCompDefParser createParser(XtextTokenStream stream) {
		return new InternalCompDefParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Component";
	}

	public CompDefGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(CompDefGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
